> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/marketplace/consuming-services.md).

# Consuming Services

Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer.

## GET /organisations/{organisation\_id}/available\_service\_providers

> find a list of available providers

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_providers":{"get":{"description":"","summary":"find a list of available providers","parameters":[{"name":"organisation_id","in":"path","required":true,"schema":{"type":"integer","format":"int64"},"style":"simple","explode":false},{"in":"query","explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"style":"form","required":false,"name":"id"},{"name":"locale","explode":true,"description":"locale","style":"form","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Locale"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceProviderResource"}},"max_results":{"type":"integer"},"first_result":{"type":"integer"},"total":{"type":"integer"},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAvailableServiceProviders","tags":["Consuming services"]}}},"components":{"schemas":{"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":true}},"required":["id","locale","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_combined\_service\_items\_and\_conditions

> Search available combined service items and conditions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_combined_service_items_and_conditions":{"get":{"parameters":[{"explode":false,"in":"path","style":"simple","name":"organisation_id","schema":{"type":"integer","format":"int64"},"required":true},{"style":"form","explode":true,"description":"Service item families","name":"service_families","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceFamily"}},"in":"query"},{"explode":true,"required":false,"name":"service_types","schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceType"}},"style":"form","description":"Service item types","in":"query"},{"schema":{"type":"integer","format":"int32"},"explode":true,"in":"query","name":"first_result","required":false,"description":"First result","style":"form"},{"explode":true,"required":false,"style":"form","description":"Max results","in":"query","schema":{"type":"integer","format":"int32"},"name":"max_results"}],"tags":["Consuming services"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"total":{"type":"integer"},"max_results":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/CombinedServiceItemsAndConditions"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAvailableCombinedServiceItemsAndConditions","summary":"Search available combined service items and conditions"}}},"components":{"schemas":{"ServiceFamily":{"type":"object"},"ServiceType":{"type":"object"},"CombinedServiceItemsAndConditions":{"type":"object","properties":{"service_item_id":{"format":"int64","type":"integer","default":0,"readOnly":false},"provider_id":{"type":"integer","default":0,"format":"int64","readOnly":false},"service_offer_id":{"default":0,"type":"integer","format":"int64","readOnly":false},"service_item_conditions_id":{"default":0,"type":"integer","format":"int64","readOnly":false}},"required":["provider_id","service_item_conditions_id","service_item_id","service_offer_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_offers

> find available service offers

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_offers":{"get":{"tags":["Consuming services"],"parameters":[{"style":"simple","in":"path","schema":{"type":"integer","format":"int64"},"explode":false,"required":true,"name":"organisation_id"},{"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"name":"service_item_offer_id","style":"form","explode":true,"required":false,"in":"query"},{"schema":{"$ref":"#/components/schemas/Locale"},"description":"locale","in":"query","required":false,"name":"locale","explode":true,"style":"form"}],"description":"","operationId":"findAvailableServiceOffers","summary":"find available service offers","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemOfferPublicResource"}},"count":{"type":"integer"},"max_results":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceItemOfferPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":false},"provider_name":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"custom":{"type":"boolean","default":false,"readOnly":false}},"required":["custom","description","id","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_items\_conditions

> find available service items conditions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_items_conditions":{"get":{"tags":["Consuming services"],"description":"","operationId":"findAvailableServiceItemsConditions","parameters":[{"name":"organisation_id","style":"simple","explode":false,"in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"style":"form","explode":true,"name":"id","in":"query","schema":{"type":"array","items":{"type":"integer","format":"int64"}},"required":false}],"summary":"find available service items conditions","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"total":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemConditionsResource"}},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"ServiceItemConditionsResource":{"discriminator":{"propertyName":"type","mapping":{"linear_service_item_conditions":"#/components/schemas/LinearServiceItemConditionsResource","plugin_service_item_conditions":"#/components/schemas/PluginServiceItemConditionsResource","provided_service_item_conditions":"#/components/schemas/ProvidedServiceItemConditionsResource"}},"oneOf":[{"$ref":"#/components/schemas/LinearServiceItemConditionsResource"},{"$ref":"#/components/schemas/PluginServiceItemConditionsResource"},{"$ref":"#/components/schemas/ProvidedServiceItemConditionsResource"}],"properties":{"type":{"type":"string","enum":["linear_service_item_conditions","plugin_service_item_conditions","provided_service_item_conditions"]}},"required":["type"]},"LinearServiceItemConditionsResource":{"type":"object","properties":{"fixed_value":{"type":"number","format":"float","default":0,"readOnly":false},"min_value":{"type":"number","format":"float","default":0,"readOnly":false},"percent_value":{"type":"number","format":"float","default":0,"readOnly":false},"currency":{"type":"string","enum":["EUR","USD","GBP"],"readOnly":false},"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["currency","fixed_value","id","min_value","percent_value","service_item_id"]},"PluginServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true},"valuator_id":{"type":"string","readOnly":false}},"required":["id","service_item_id","valuator_id"]},"ProvidedServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["id","service_item_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_items

> find a list of available service items

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_items":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"max_results":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAvailableServiceItems","parameters":[{"required":true,"schema":{"type":"integer","format":"int64"},"explode":false,"in":"path","name":"organisation_id","style":"simple"},{"in":"query","name":"id","style":"form","explode":true,"schema":{"type":"array","items":{"type":"integer","format":"int64"}},"required":false},{"required":false,"explode":true,"description":"locale","name":"locale","style":"form","schema":{"$ref":"#/components/schemas/Locale"},"in":"query"}],"summary":"find a list of available service items","tags":["Consuming services"]}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_items\_conditions/{service\_item\_conditions\_id}

> get available service items conditions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_items_conditions/{service_item_conditions_id}":{"get":{"description":"","operationId":"getAvailableServiceItemsCondition","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceItemConditionsResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"in":"path","name":"organisation_id","required":true,"explode":false,"schema":{"type":"integer","format":"int64"},"style":"simple"},{"in":"path","style":"simple","explode":false,"name":"service_item_conditions_id","schema":{"type":"integer","format":"int64"},"required":true}],"tags":["Consuming services"],"summary":"get available service items conditions"}}},"components":{"schemas":{"ServiceItemConditionsResource":{"discriminator":{"propertyName":"type","mapping":{"linear_service_item_conditions":"#/components/schemas/LinearServiceItemConditionsResource","plugin_service_item_conditions":"#/components/schemas/PluginServiceItemConditionsResource","provided_service_item_conditions":"#/components/schemas/ProvidedServiceItemConditionsResource"}},"oneOf":[{"$ref":"#/components/schemas/LinearServiceItemConditionsResource"},{"$ref":"#/components/schemas/PluginServiceItemConditionsResource"},{"$ref":"#/components/schemas/ProvidedServiceItemConditionsResource"}],"properties":{"type":{"type":"string","enum":["linear_service_item_conditions","plugin_service_item_conditions","provided_service_item_conditions"]}},"required":["type"]},"LinearServiceItemConditionsResource":{"type":"object","properties":{"fixed_value":{"type":"number","format":"float","default":0,"readOnly":false},"min_value":{"type":"number","format":"float","default":0,"readOnly":false},"percent_value":{"type":"number","format":"float","default":0,"readOnly":false},"currency":{"type":"string","enum":["EUR","USD","GBP"],"readOnly":false},"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["currency","fixed_value","id","min_value","percent_value","service_item_id"]},"PluginServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true},"valuator_id":{"type":"string","readOnly":false}},"required":["id","service_item_id","valuator_id"]},"ProvidedServiceItemConditionsResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_item_id":{"type":"string","readOnly":true}},"required":["id","service_item_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_items/{service\_item\_id}

> get available service item

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_items/{service_item_id}":{"get":{"tags":["Consuming services"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceItemPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"integer","format":"int64"},"name":"organisation_id","in":"path","required":true,"style":"simple","explode":false},{"explode":false,"name":"service_item_id","style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"in":"path"},{"required":false,"in":"query","description":"locale","name":"locale","explode":true,"style":"form","schema":{"$ref":"#/components/schemas/Locale"}}],"summary":"get available service item","operationId":"getAvailableServiceItems"}}},"components":{"schemas":{"ServiceItemPublicResource":{"discriminator":{"propertyName":"type","mapping":{"ad_exchange_hub_inventory":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource","inventory_access_ad_exchange":"#/components/schemas/AdExchangeInventoryAccessPublicResource","user_account_compartment":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource","base":"#/components/schemas/BaseServiceItemPublicResource","user_data_stream":"#/components/schemas/UserDataStreamServiceItemPublicResource","device_technical_id_registry":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource","audience_segment":"#/components/schemas/AudienceSegmentServiceItemPublicResource","inventory_access_display_network":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserDataStreamServiceItemPublicResource"},{"$ref":"#/components/schemas/AudienceSegmentServiceItemPublicResource"},{"$ref":"#/components/schemas/BaseServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeHubInventoryServiceItemPublicResource"},{"$ref":"#/components/schemas/AdExchangeInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DisplayNetworkInventoryAccessPublicResource"},{"$ref":"#/components/schemas/DeviceTechnicalIdRegistryServiceItemPublicResource"},{"$ref":"#/components/schemas/UserAccountCompartmentServiceItemPublicResource"}],"properties":{"type":{"type":"string","enum":["user_data_stream","audience_segment","base","ad_exchange_hub_inventory","inventory_access_ad_exchange","inventory_access_display_network","device_technical_id_registry","user_account_compartment"]}},"required":["type"]},"UserDataStreamServiceItemPublicResource":{"type":"object","properties":{"name":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"datamart_id":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"user_identifier_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserIdentifierFilterPublicResource"},"readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"id":{"type":"string","readOnly":true},"local_cache_mode":{"$ref":"#/components/schemas/UserDataStreamLocalCacheMode"},"user_content_filters":{"type":"array","items":{"$ref":"#/components/schemas/UserContentFilterPublicResource"},"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"extension_operator":{"$ref":"#/components/schemas/UserDataStreamExtensionOperator"},"category_id":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","extension_operator","id","list_weight","local_cache_mode","locale","name","provider_id","user_content_filters","user_identifier_filters"]},"UserIdentifierFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_account_filter":"#/components/schemas/UserAccountFilterPublicResource","user_device_technical_id_filter":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource","user_email_filter":"#/components/schemas/UserEmailFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserAccountFilterPublicResource"},{"$ref":"#/components/schemas/UserDeviceTechnicalIdFilterPublicResource"},{"$ref":"#/components/schemas/UserEmailFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_account_filter","user_device_technical_id_filter","user_email_filter"]}},"required":["type"]},"UserAccountFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserDeviceTechnicalIdFilterPublicResource":{"type":"object","properties":{"registry_id":{"type":"string","readOnly":false}},"required":["registry_id"]},"UserEmailFilterPublicResource":{"type":"object"},"UserDataStreamLocalCacheMode":{"type":"string","enum":["OBJECT_TREE_INDEX_CACHE","FULL_LOCAL_CACHE"],"readOnly":false},"UserContentFilterPublicResource":{"discriminator":{"propertyName":"type","mapping":{"user_activity_filter":"#/components/schemas/UserActivityFilterPublicResource","user_profile_filter":"#/components/schemas/UserProfileFilterPublicResource","user_segment_filter":"#/components/schemas/UserSegmentFilterPublicResource"}},"oneOf":[{"$ref":"#/components/schemas/UserActivityFilterPublicResource"},{"$ref":"#/components/schemas/UserProfileFilterPublicResource"},{"$ref":"#/components/schemas/UserSegmentFilterPublicResource"}],"properties":{"type":{"type":"string","enum":["user_activity_filter","user_profile_filter","user_segment_filter"]}},"required":["type"]},"UserActivityFilterPublicResource":{"type":"object","properties":{"channel_id":{"type":"string","readOnly":false}}},"UserProfileFilterPublicResource":{"type":"object","properties":{"compartment_id":{"type":"string","readOnly":false}},"required":["compartment_id"]},"UserSegmentFilterPublicResource":{"type":"object"},"UserDataStreamExtensionOperator":{"type":"string","enum":["UNION","INTERSECTION"],"readOnly":false},"AudienceSegmentServiceItemPublicResource":{"type":"object","properties":{"category_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"segment_id":{"type":"string","readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false},"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"datamart_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false}},"required":["category_id","datamart_id","description","id","list_weight","locale","name","provider_id","segment_id"]},"BaseServiceItemPublicResource":{"type":"object","properties":{"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"service_type":{"$ref":"#/components/schemas/ServiceType"},"description":{"type":"string","readOnly":false}},"required":["category_id","description","id","list_weight","locale","name","provider_id","service_type"]},"ServiceType":{"type":"object"},"AdExchangeHubInventoryServiceItemPublicResource":{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"ad_exchange_hub_key":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false}},"required":["ad_exchange_hub_key","category_id","description","id","list_weight","locale","name","provider_id"]},"AdExchangeInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"reseller_agreement_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"provider_id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"category_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"ad_exchange_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false}},"required":["ad_exchange_id","category_id","description","id","list_weight","locale","name","provider_id"]}]},"InventoryAccessServiceItemPublicResource":{"type":"object"},"DisplayNetworkInventoryAccessPublicResource":{"allOf":[{"$ref":"#/components/schemas/InventoryAccessServiceItemPublicResource"},{"type":"object","properties":{"provider_id":{"type":"string","readOnly":true},"reseller_agreement_id":{"type":"string","readOnly":false},"description":{"type":"string","readOnly":false},"display_network_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"category_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"required":["category_id","description","display_network_id","id","list_weight","locale","name","provider_id"]}]},"DeviceTechnicalIdRegistryServiceItemPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"provider_id":{"type":"string","readOnly":true},"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"device_technical_id_registry_id":{"type":"string","readOnly":false},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","description","device_technical_id_registry_id","id","list_weight","locale","name","provider_id"]},"UserAccountCompartmentServiceItemPublicResource":{"type":"object","properties":{"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"description":{"type":"string","readOnly":false},"compartment_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"category_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":true},"list_weight":{"type":"number","format":"float","default":0,"readOnly":false},"reseller_agreement_id":{"type":"string","readOnly":false}},"required":["category_id","compartment_id","description","id","list_weight","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_providers/{service\_provider\_id}

> get available service provider

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_providers/{service_provider_id}":{"get":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"in":"path","name":"organisation_id"},{"in":"path","explode":false,"name":"service_provider_id","schema":{"type":"integer","format":"int64"},"style":"simple","required":true},{"in":"query","description":"locale","required":false,"explode":true,"schema":{"$ref":"#/components/schemas/Locale"},"name":"locale","style":"form"}],"operationId":"getAvailableServiceProvider","summary":"get available service provider","tags":["Consuming services"]}}},"components":{"schemas":{"ServiceProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":true},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":true}},"required":["id","locale","name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]},"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/available\_service\_offers/{offer\_id}

> get available service offer

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Consuming services","description":"Operations related to Service Consumption for consulting and subscribing to marketplace offerings as a consumer."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/available_service_offers/{offer_id}":{"get":{"operationId":"getAvailableServiceOffer","tags":["Consuming services"],"summary":"get available service offer","description":"","parameters":[{"explode":false,"in":"path","required":true,"style":"simple","name":"organisation_id","schema":{"type":"integer","format":"int64"}},{"name":"offer_id","style":"simple","required":true,"in":"path","explode":false,"schema":{"type":"integer","format":"int64"}},{"required":false,"in":"query","schema":{"$ref":"#/components/schemas/Locale"},"explode":true,"style":"form","name":"locale","description":"locale"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ServiceItemOfferPublicResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"Locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"ServiceItemOfferPublicResource":{"type":"object","properties":{"description":{"type":"string","readOnly":false},"locale":{"type":"string","enum":["fr-FR","de-DE","en-GB","en-US","es-ES"],"readOnly":false},"id":{"type":"string","readOnly":true},"provider_id":{"type":"string","readOnly":false},"provider_name":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"custom":{"type":"boolean","default":false,"readOnly":false}},"required":["custom","description","id","locale","name","provider_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/marketplace/consuming-services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
